Bug 851381 - Failed to access the directory, "Stale NFS file handle"
Failed to access the directory, "Stale NFS file handle"
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.3.0
x86_64 Linux
medium Severity unspecified
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 21:20 EDT by Jules Wang
Modified: 2016-02-17 19:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jules Wang 2012-08-23 21:20:27 EDT
Description of problem:
Could not access the directory.

> ls -l dir 
??????????? ? ?        ?         ?            ? dir

How reproducible:
Setup a simple volume on your system.

Steps to Reproduce:
1.Mount the volume at mnt1
2.Mount the volume at another directory named mnt2
3.Open a console at mnt1, then 'mkdir dir; cd dir', stay there.
4.Open another console at mnt2, then 'rm -r dir; mkdir dir'(rebuild the dir)
5.Open third console at mnt1, then 'ls -l dir', you will see many '?'.
  
Actual results:


Expected results:


Additional info:
some error messages in log file:

[2012-08-23 08:41:10.613511] W [client-rpc-fops.c:2604:client3_3_lookup_cbk] 0-qe-client-0: remote operation failed: Stale NFS file handle. Path: /dir (92bb196c-6cb5-41af-a90f-2850f8d7ead6)
[2012-08-23 08:41:10.615441] W [client-rpc-fops.c:525:client3_3_stat_cbk] 0-qe-client-0: remote operation failed: No such file or directory
[2012-08-23 08:41:10.615468] W [fuse-bridge.c:590:fuse_attr_cbk] 0-glusterfs-fuse: 59: STAT() <gfid:92bb196c-6cb5-41af-a90f-2850f8d7ead6> => -1 (No such file or directory)
[2012-08-23 08:41:13.065630] W [client-rpc-fops.c:525:client3_3_stat_cbk] 0-qe-client-0: remote operation failed: No such file or directory
Comment 1 Amar Tumballi 2012-09-04 05:40:44 EDT
Varun,

Try to reproduce it and see if attribute-timeout=0 option can fix the behavior.
Comment 2 Jules Wang 2012-09-17 01:13:53 EDT
This bug is fixed in upstream, though I don`t know which patch fixed it.
Comment 3 Jules Wang 2012-09-17 01:18:12 EDT
sorry for the rush, the bug is still there. I forgot to use the third console.
Comment 4 Jules Wang 2013-11-26 22:46:21 EST
Any updates?
Comment 6 Niels de Vos 2014-11-27 09:53:50 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.